using System.Collections.Generic;
using UnityEngine;

public interface ILevelObject
{
    public enum ObjectType
    {
        Tile = 0,
        Prefab = 1,
        Tilemap = 2,
        Other = 3,
    }

    bool IsCollidable { get; }
    string Name { get; }
    Vector3 Position { get; }
    void LevelUpdate();
    void LevelStart();
    void LevelDestroy();
    bool Equals(ILevelObject other);
    Dictionary<string, object> ToDictionary();
    void LoadDictionary(Dictionary<string, object> dict);
    void RemoveFromLevel();
}